Agent Bots
Create an Agent Bot
Create an agent bot
Authorization
platformAppApiKey api_access_token<token>
This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/platform/api/v1/agent_bots" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"name": "string",
"description": "string",
"thumbnail": "string",
"outgoing_url": "string",
"bot_type": "string",
"bot_config": {},
"account_id": 0,
"access_token": "string",
"system_bot": true
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}